Subject: Re: running mks toolkit and cygwin on same machine
From: Charles Wilson <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jul 2002 11:31:33 -0400
Newsgroups: gmane.os.cygwin

Conrad Scott wrote:

> "Charles Wilson" <[email-masked]> wrote:
> 
>>Yes, it's been on my todo list for some time.
>>Here are the util-linux progs that I believe
>>still need to be added to cygutils:
>>
>>
> [snip]
> 
> Would the cygutils package be a suitable home for two other
> util-linux programs: ipcs and ipcrm?
> 
> I have these now compiled and working against the cygwin_daemon
> branch.  Since these presumably aren't going to be part of the
> cygwin package and I'm loath to create a package just for these
> two utilities, I'm keen to find some other existing package in
> which to lose them.  They're unlikely to need much support (once
> I've hacked them up properly).

Yes, Robert and I have talked about that in the past.  cygipc includes 
them, but once cygdaemon is official I'll add them to cygutils.

Currently, cygutils includes a few IPC test programs (but not ipcrm or 
ipcs) -- but those are only built if cygipc is installed, are are not 
included in "official" cygutils package since cygipc isn't official.

If you can
   1) give me the code -- see cygutils' HOW-TO-CONTRIBUTE document
   2) also come up with an m4 macro for configure.in that I can use to 
detect the presence of a cygserver-capable cygwin1.dll

Then I have no problems adding ipcs and ipcrm to cygutils BEFORE 
cygserver goes gold.

--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/